Subject: bug#33882: Blender is not loading menu scripts

From: Leo Famulari <[email-masked]>
Date: Sat, 5 Jan 2019 19:27:25 -0500

On Sat, Jan 05, 2019 at 07:06:59PM +0100, Ludovic Courtès wrote:
> Hello,
> 
> <[email-masked]> skribis:
> 
> > Thanks to Leo Famulari patch here https://lists.gnu.org/archive/html/bug-guix/2018-12/msg00345.html, it is working now!
> >
> > 1. I downloaded graphics.scm from Guix Cgit: http://git.savannah.gnu.org/cgit/guix.git/plain/gnu/packages/graphics.scm
> > 2. Applied Leo Famulari patch like this: `path graphisc.scm blender-80.patch`
> > 3. Installed form file: `guix package -f graphics.scm -i blender`
> > Blender 2.80 is now working fine, rendering ok!
> 
> So I guess that confirms we should apply the patch Leo posted.  :-)
> Leo?

Perhaps :)

Usually we don't package things described by upstream as "beta", which
is what my patch does.

But since our Blender package is currently broken, I guess it's the
right thing to do.

I will test one more possible fix to our current Blender package, and if
that fails,I will push the patch to update to "2.80-beta".